<x-base-layout>

    <!--begin::Row-->
    <div class="row gy-5 g-xl-8">
        <!--begin::Col-->
        <div class="col-xl-4"></div>
        <!--end::Col-->
        <!--begin::Col-->
        <div class="col-xxl-4">
            <div class="card shadow-sm mb-2">
                <div class="card-header">
                    <h3 class="card-title">Login</h3>
                </div>
                <div class="card-body">
                    @if (count($errors) > 0)
                    <!--begin::Alert-->
                    <div class="alert alert-danger d-flex align-items-center p-5 mb-10">
                        <span class="svg-icon svg-icon-2hx svg-icon-danger me-4">
                            <i class="fad fa-times-circle"></i>
                        </span>
                        <div class="d-flex flex-column">
                            <h4 class="mb-1 text-danger">Error</h4>
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    </div>
                    <!--end::Alert-->
                    @endif
                    <!--begin::Signin Form-->
                    <form method="POST" action="{{ theme()->getPageUrl('login') }}" class="form w-100" novalidate="novalidate">
                        @csrf
                        <!--begin::Input group-->
                        <div class="fv-row mb-5">
                            <div class="col-xl-12">
                                <!--begin::Label-->
                                <label class="form-label fs-6 fw-bolder text-dark">{{ __('Username') }}</label>
                                <!--end::Label-->

                                <!--begin::Input-->
                                <input class="form-control form-control-lg form-control-solid" type="text" name="username" autocomplete="off" value="{{ old('username') }}" required autofocus/>
                                <!--end::Input-->
                            </div>
                        </div>
                        <!--end::Input group-->

                        <!--begin::Input group-->
                        <div class="fv-row mb-5">
                            <div class="col-xl-12">
                                <!--begin::Wrapper-->
                                <div class="d-flex flex-stack mb-2">
                                    <!--begin::Label-->
                                    <label class="form-label fw-bolder text-dark fs-6 mb-0">{{ __('Password') }}</label>
                                    <!--end::Label-->

                                    <!--begin::Link-->
                                    @if (Route::has('password.request'))
                                        <a href="{{ theme()->getPageUrl('password.request') }}" class="link-primary fs-6 fw-bolder">
                                            {{ __('Forgot Password ?') }}
                                        </a>
                                    @endif
                                <!--end::Link-->
                                </div>
                                <!--end::Wrapper-->

                                <!--begin::Input-->
                                <input class="form-control form-control-lg form-control-solid" type="password" name="password" autocomplete="off" required/>
                                <!--end::Input-->
                            </div>
                        </div>
                        <!--end::Input group-->

                        <!--begin::Input group-->
                        <div class="fv-row mb-5">
                            <label class="form-check form-check-custom form-check-solid">
                                <input class="form-check-input" type="checkbox" name="remember"/>
                                <span class="form-check-label fw-bold text-gray-700 fs-6">{{ __('Remember me') }}
                            </span>
                            </label>
                        </div>
                        <!--end::Input group-->

                        <!--begin::Actions-->
                        <div class="text-left">
                            <!--begin::Submit button-->
                            <button type="submit" class="btn btn-lg btn-primary mb-5">
                                @include('partials.general._button-indicator', ['label' => __('Continue')])
                            </button>
                            <!--end::Submit button-->
                        </div>
                        <!--end::Actions-->
                    </form>
                    <!--end::Signin Form-->
                    <p class="text-center mb-0">By logging in and using this website you agree to our<br /><a href="/terms-of-service">Terms of Service</a>.</p>
                </div>
            </div>
        </div>
        <!--end::Col-->
        <!--begin::Col-->
        <div class="col-xl-4"></div>
        <!--end::Col-->
    </div>

</x-base-layout>
